## xshisen 1.51

=== debian/changelog ===
xshisen (1:1.51-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team. (Closes: #675005)
  * Fix segfault on start on i386 et al, thanks Alexey Shilin.
    (Closes: #765504)
  * Make the build reproducible. (Closes: #833581)
  * Provide a desktop menu entry, no icon yet. (Closes: #738081)

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 22 Jan 2017 20:57:48 +0100

xshisen (1:1.51-4.1) unstable; urgency=low

  [ Paul Gevers ]
  * Non-maintainer upload

  [ Graham Inggs ]
  * Build against motif (Closes: #714697)
  * Build using motif (Closes: #714696)

 -- Paul Gevers <elbrus@debian.org>  Sun, 27 Oct 2013 19:31:02 +0100

xshisen (1:1.51-4) unstable; urgency=low

  * Acknowledge NMUs, thanks everyone :)
  * New maintainer email
  * Standards-Version: 3.9.3
  * Remove simple-patchsys.mk; use built-in quilt
  * Reformat debian/patches; break down oldfixes to several patches
  * Add watch file for uscan
  * Update debian/copyright for DEP-5
  * Use dh instead of cdbs
  * Fix version number in X resources (now says 1.51 instead of 1.50)
  * Add Vcs-* fields
  * Add patch by kibi@ to fix FTBFS on gcc-4.7 (Closes: #667425)
  * Fix manpage typos, thanks to "A. Costa" (Closes: #657352)

 -- Zak B. Elep <zakame@zakame.net>  Mon, 09 Apr 2012 16:51:36 +0800

xshisen (1:1.51-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with gcc-4.5 and gcc-4.6": new patch 40_format_security.patch:
    Fix format string use. Based on Daniel T Chen's patch in the BTS.
    (Closes: #565064)

 -- gregor herrmann <gregoa@debian.org>  Thu, 24 Nov 2011 21:40:40 +0100

xshisen (1:1.51-3.1) unstable; urgency=low

  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)" due to patch.
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev
      (important; Closes: #579035).
      Update to debhelper 7.1.
    - (Depends): add ${misc:Depends}.
    - (Homepage): Move from description field.
    - (Standards-Version): Update from 3.7.2 to 3.8.4.
  * debian/copyright:
    - Update layout.
  * debian/patches
    - (Number 11): Refresh patch to include .nf/.fi fix
  * debian/rules
    - (buid-stamp): use newest config.* files.
    - (install): Update dh_clean to dh_prep.
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
    - Update to dh(1).
  * debian/source/format
   - New file

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 09 May 2010 01:03:30 +0300

xshisen (1:1.51-3) unstable; urgency=medium

  * debian/control:
    + Use lesstif2-dev .  (Closes: #391164)

 -- Zak B. Elep <zakame@spunge.org>  Thu,  5 Oct 2006 16:37:36 +0800

xshisen (1:1.51-2) unstable; urgency=low

  * The "REALLY fix the weird packaging" release.
  * debian/control:
    + Bump Standards-Version (no changes required.)
  * debian/patches:
    + Update 20_autotools_update.patch , remove config.{guess,sub}
      hack.
  * debian/rules:
    + Properly get config.{guess,sub} , since CDBS' autotools.mk
      could not obtain these since we're not using them before
      patching.
    + Manually set X includes and libraries upon configure.
      (Closes: #367888)
  * Remove debian/postinst as it turns out empty upon package build.
    We won't miss it, anyhow ;)

 -- Zak B. Elep <zakame@spunge.org>  Thu, 25 May 2006 23:43:10 +0800

xshisen (1.51-1-2) unstable; urgency=low

  * New maintainer (as agreed with former maintainer; see
    http://lists.debian.org/debian-devel/2006/02/msg00007.html)
  * Fix strange source packaging problem (Closes: #291279)
  * debian/control:
    - Changed build system to CDBS + debhelper.
    - Bump Standards-Version.
    - Bump debhelper Build-Depends to (>= 5) ; updated compat too.
    - Slightly touch description; added homepage too.
  * debian/patches:
    - Added 10_oldfixes.patch .  Must sort the various hunks out soon.
      Acknowledging NMUs .
    - Added 11_manpage_fixes.patch to properly format C and ja manpages.
    - Added 20_autotools_update.patch .
  * debian/rules:
    - Remove extra Japanese manpages as suggested by Nicolas François.
      Remove app-defaults for these extra locales too.
  * debian/menu:
    - Properly quote menu entry.

 -- Zak B. Elep <zakame@spunge.org>  Tue, 21 Feb 2006 22:35:26 +0800

xshisen (1.51-1-1.3) unstable; urgency=low

  * Non-maintainer upload to do xlibs-dev transition.
  * Update debian/control to not build-depend on xlibs-dev anymore. (Closes:
    #346854)
  * Fix Makefile.in to reflect GNU make behaviour change regarding line
    continuations and whitespace.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 01:03:07 +0100

xshisen (1.51-1-1.2) unstable; urgency=HIGH

  * NMU (at maintainer's request).
  * Add NO_GLOBAL_HIGHSCORE define which crudely disables the support for
    a global score file.
  * Remove sgid bit. Closes: #291613, #292065
  * Comment out code in postinst that set up /var/games/xshisen.scores,
    but for now, do not delete that file on upgrade.
  * Add README.Debian.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Jan 2005 02:42:26 -0500

xshisen (1.51-1-1.1) unstable; urgency=HIGH

  * NMU
  * Fix buffer overflow in handling of GECOS field (CAN-2005-0117)
    using patch from Ulf Harnhammar. Closes: #289784

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Jan 2005 15:16:55 -0500

xshisen (1.51-1-1) unstable; urgency=high

  * Non-maintainer upload with consent from Grzegorz.
  * Fix a locally exploitable buffer overflow allowing GID(games).
    (Closes: #213957)

 -- Steve Kemp <skx@debian.org>  Tue, 28 Oct 2003 13:49:29 +0000

xshisen (1.51-1) unstable; urgency=low

  * New upstream release.
  * Manual pages are now installed. Closes: #177822

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Wed, 22 Jan 2003 10:01:40 +0100

xshisen (1.50-3.1) unstable; urgency=low

  * Non-Maintainer-Upload during Bug Squashing Party
  * Added missing build dependency on xutils. Closes: #155646

