=== debian/control ===
Source: xshisen
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: autotools-dev, debhelper (>= 9), libmotif-dev, libx11-dev, libxmu-dev, libxpm-dev, libxt-dev, libxaw7-dev, xutils-dev
Standards-Version: 3.9.8
Homepage: http://www.techfirm.co.jp/~masaoki/xshisen.html
#Vcs-Browser: https://github.com/zakame/debian-pkg-xshisen
#Vcs-Git: git://github.com/zakame/debian-pkg-xshisen.git

Package: xshisen
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shisen-sho puzzle game for X11
 XShisen is a puzzle game for X11.  Similar to the famous "Shang-hai", your
 objective is to remove all the pieces on the board.
 .
 This game allows you to use either "original" xshisen images, or - at your
 choice - images from kshisen.
