=== debian/rules ===
#!/usr/bin/make -f
# rules --- Debian packaging rules for xshisen

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure  -- --sharedstatedir="/var/games" \
				--bindir="/usr/games" \
				--datadir="/usr/share/games" \
				--with-x11-resource=/etc/X11 \
				--x-includes=/usr/X11R6/include \
				--x-libraries=/usr/X11R6/lib \
				--with-motif

# Ensure we install xshisen with the proper permissions, remove empty
# directories
override_dh_auto_install:
	dh_auto_install -- install.man \
			bindir=debian/xshisen/usr/games \
			MANDIR=debian/xshisen/usr/share/man \
			XSHISENDAT=debian/xshisen/var/games \
			XSHISENLIB=debian/xshisen/usr/share/games/xshisen
	rm -rf debian/xshisen/var
	rm -rf debian/xshisen/etc/X11/C \
		debian/xshisen/usr/share/man/C \
		debian/xshisen/usr/share/man/pl
# Remove extra manpages and resource files
	rm -rf debian/xshisen/usr/share/man/ja_* \
		debian/xshisen/etc/X11/ja* \
		debian/xshisen/etc/X11/pl
	# Remove empty directories created with "LANG"
	find debian/xshisen/etc/X11 debian/xshisen/usr/share/man \
		-type d -empty -delete
