## xshisen 1.51-1-1

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DESTDIR=$(CURDIR)/debian/xshisen

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	 --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --sharedstatedir=/var/games --bindir=/usr/games --datadir=/usr/share/games \
	 --with-x11-resource=/etc/X11

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/xshisen.
	$(MAKE) install install.man prefix=$(CURDIR)/debian/xshisen/usr \
	 bindir=$(CURDIR)/debian/xshisen/usr/games \
	 datadir=$(CURDIR)/debian/xshisen/usr/share/games \
	 DESTDIR=$(CURDIR)/debian/xshisen \
	 XSHISENDAT=$(CURDIR)/debian/xshisen/usr/share/games/xshisen \
	 XSHISENLIB=$(CURDIR)/debian/xshisen/usr/share/games/xshisen
	chown root.games $(CURDIR)/debian/xshisen/usr/games/xshisen
	chmod g+s $(CURDIR)/debian/xshisen/usr/games/xshisen
	chmod 644 $(CURDIR)/debian/xshisen/usr/share/games/xshisen/xshisen.scores

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xxshisen
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
