## xshisen 1.51-1-1.2

=== debian/control ===
Source: xshisen
Section: games
Priority: optional
Maintainer: Grzegorz Prokopski (Debian Developer) <gadek@debian.org>
Build-Depends: debhelper (>> 3.0.0), lesstif-dev, xlibs-dev, libxaw7-dev, xutils
Standards-Version: 3.5.2

Package: xshisen
Architecture: any
Depends: ${shlibs:Depends}
Description: Shisen-sho puzzle game for X11
 xshisen  is  a puzzle game for X11.  Similar to the famous
 "Shang-hai", your objective is to remove all the pieces on
 the board.
 .
 This game allows you to use either "original" xshisen images, or - at your
 choice - images from kshisen.
