=== debian/rules ===
--- 
+++ 
@@ -64,8 +64,7 @@
 	 DESTDIR=$(CURDIR)/debian/xshisen \
 	 XSHISENDAT=$(CURDIR)/debian/xshisen/usr/share/games/xshisen \
 	 XSHISENLIB=$(CURDIR)/debian/xshisen/usr/share/games/xshisen
-	chown root.games $(CURDIR)/debian/xshisen/usr/games/xshisen
-	chmod g+s $(CURDIR)/debian/xshisen/usr/games/xshisen
+	chown root.root $(CURDIR)/debian/xshisen/usr/games/xshisen
 	chmod 644 $(CURDIR)/debian/xshisen/usr/share/games/xshisen/xshisen.scores
 
 # Build architecture-independent files here.
