## xshisen 1.51-1-1.2build1

=== debian/changelog ===
xshisen (1.51-1-1.2build1) dapper; urgency=low

  * Rebuild with current g++

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Dec 2005 09:48:33 +0000
